# Copyright 2013-2022 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack import *


class PyHbpNeuromorphicPlatform(PythonPackage):
    """Python client for the Human Brain Project Neuromorphic Computing Platform.
    """

    homepage = "https://electronicvisions.github.io/hbp-sp9-guidebook/"
    pypi     = "hbp_neuromorphic_platform/hbp_neuromorphic_platform-0.10.1.tar.gz"
    git      = "https://github.com/HumanBrainProject/hbp-neuromorphic-client.git"

    maintainers = ['apdavison']

    version('0.10.1', sha256='76b3acdbc63c901d158bad6d74e26f8a4ad7b10a261c1d51f1e9bf482766bae7')
    
    depends_on('python@3.5:')
    depends_on('py-requests@2.20.0:',                   type=('build', 'run'))
    depends_on('py-click@8.0.3:',                       type=('build', 'run'))
    depends_on('py-pyyaml@6.0:',                        type=('build', 'run'))
