# Copyright 2013-2021 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack import *


class PyVersionQuery(PythonPackage):
    """Package version query toolkit for Python
    """

    homepage = "https://github.com/mbdevpl/version-query"
    pypi     = "ebrains-drive/ebrains-drive-0.4.0.tar.gz"
    git      = "https://github.com/mbdevpl/version-query.git"

    version('1.1.0', sha256='9ebcef801b29a36b9f53ee47acf783e62036251f8b45a9d2c9ecfcc7728dc11c')

    depends_on('python@3.6.9:')
    depends_on('py-gitpython@3.1.24:',      type=('build', 'run'))
    depends_on('py-typing@3.7.4.3:',        type=('build', 'run'))
    depends_on('py-packaging@21.3:',        type=('build', 'run'))
    depends_on('py-semver@2.8.1:',          type=('build', 'run'))
    depends_on('py-pathlib@1.0.1:',         type=('build', 'run'))
    depends_on('py-semver@2.8.1:',          type=('build', 'run'))